<template>
  <div>
    <!--<template>
      <el-image :src="activitiImg.src"></el-image>
    </template>-->
  </div>
</template>
<script>
  export default {
    data: function() {
      return {
        activitiImg: {
          src: ''
        }
      }
    },
    // 初始化方法
    created() {
    },
    methods: {
      showImage(row) {
        this.activitiImg.src = undefined
        let instanceId = row.instanceId
        let modelKey = row.modelKey
        instanceId = process.env.VUE_APP_BASE_URL + '/leaveNew/read-resource?processDefinitionKey=' + modelKey + '&processInstanceId=' + instanceId
        this.$alert(`<img src=${instanceId} >`, '查看', {
          dangerouslyUseHTMLString: true,
          customClass: 'activiti-image-class'
        })
      }
    }
  }
</script>

<style>
  .activiti-image-class {
    width: auto;
  }
</style>
